# Auto generated configuration file
# using: 
# Revision: 1.19 
# Source: /local/reps/CMSSW/CMSSW/Configuration/Applications/python/ConfigBuilder.py,v 
# with command line options: Configuration/GenProduction/python/ThirteenTeV/DisplacedSUSY_stopToBottom_M_900_10mm_TuneCUETP8M1_13TeV_pythia8_cff.py --fileout file:EXO-RunIISummer15GS-00253.root --mc --eventcontent RAWSIM --customise SLHCUpgradeSimulations/Configuration/postLS1Customs.customisePostLS1,Configuration/DataProcessing/Utils.addMonitoring --datatier GEN-SIM --conditions MCRUN2_71_V1::All --beamspot Realistic50ns13TeVCollision --step GEN,SIM --magField 38T_PostLS1 --python_filename /afs/cern.ch/cms/PPD/PdmV/work/McM/submit/EXO-RunIISummer15GS-00253/EXO-RunIISummer15GS-00253_1_cfg.py --no_exec -n 12
import FWCore.ParameterSet.Config as cms

process = cms.Process('SIM')

# import of standard configurations
process.load('Configuration.StandardSequences.Services_cff')
process.load('SimGeneral.HepPDTESSource.pythiapdt_cfi')
process.load('FWCore.MessageService.MessageLogger_cfi')
process.load('Configuration.EventContent.EventContent_cff')
process.load('SimGeneral.MixingModule.mixNoPU_cfi')
process.load('Configuration.StandardSequences.GeometryRecoDB_cff')
process.load('Configuration.Geometry.GeometrySimDB_cff')
process.load('Configuration.StandardSequences.MagneticField_38T_PostLS1_cff')
process.load('Configuration.StandardSequences.Generator_cff')
process.load('IOMC.EventVertexGenerators.VtxSmearedRealistic50ns13TeVCollision_cfi')
process.load('GeneratorInterface.Core.genFilterSummary_cff')
process.load('Configuration.StandardSequences.SimIdeal_cff')
process.load('Configuration.StandardSequences.EndOfProcess_cff')
process.load('Configuration.StandardSequences.FrontierConditions_GlobalTag_cff')

process.maxEvents = cms.untracked.PSet(
    input = cms.untracked.int32(12)
)

# Input source
process.source = cms.Source("EmptySource")

process.options = cms.untracked.PSet(

)

# Production Info
process.configurationMetadata = cms.untracked.PSet(
    version = cms.untracked.string('$Revision: 1.19 $'),
    annotation = cms.untracked.string('Configuration/GenProduction/python/ThirteenTeV/DisplacedSUSY_stopToBottom_M_900_10mm_TuneCUETP8M1_13TeV_pythia8_cff.py nevts:12'),
    name = cms.untracked.string('Applications')
)

# Output definition

process.RAWSIMoutput = cms.OutputModule("PoolOutputModule",
    splitLevel = cms.untracked.int32(0),
    eventAutoFlushCompressedSize = cms.untracked.int32(5242880),
    outputCommands = process.RAWSIMEventContent.outputCommands,
    fileName = cms.untracked.string('file:EXO-RunIISummer15GS-00253.root'),
    dataset = cms.untracked.PSet(
        filterName = cms.untracked.string(''),
        dataTier = cms.untracked.string('GEN-SIM')
    ),
    SelectEvents = cms.untracked.PSet(
        SelectEvents = cms.vstring('generation_step')
    )
)

# Additional output definition

# Other statements
process.genstepfilter.triggerConditions=cms.vstring("generation_step")
from Configuration.AlCa.GlobalTag import GlobalTag
process.GlobalTag = GlobalTag(process.GlobalTag, 'MCRUN2_71_V1::All', '')

process.dirhadrongenfilter = cms.EDFilter("MCParticlePairFilter",
    MinPt = cms.untracked.vdouble(0.0, 0.0),
    MaxEta = cms.untracked.vdouble(100.0, 100.0),
    MinEta = cms.untracked.vdouble(-100, -100),
    ParticleCharge = cms.untracked.int32(0),
    MinP = cms.untracked.vdouble(0.0, 0.0),
    ParticleID1 = cms.untracked.vint32(1000612, 1000622, 1000632, 1000642, 1000652, 
        1006113, 1006211, 1006213, 1006223, 1006311, 
        1006313, 1006321, 1006323, 1006333),
    ParticleID2 = cms.untracked.vint32(1000612, 1000622, 1000632, 1000642, 1000652, 
        1006113, 1006211, 1006213, 1006223, 1006311, 
        1006313, 1006321, 1006323, 1006333)
)


process.generator = cms.EDFilter("Pythia8GeneratorFilter",
    pythiaPylistVerbosity = cms.untracked.int32(0),
    filterEfficiency = cms.untracked.double(1),
    pythiaHepMCVerbosity = cms.untracked.bool(False),
    SLHATableForPythia8 = cms.string('## Important note!\n## This file has been modified by hand to give the gluino and the\n## stop_1 a very narrow width, such that it can be used to try out\n## the R-hadron machinery. It is not a realistic SUSY scenario.\n##\n##******************************************************************\n##                      MadGraph/MadEvent                          *\n##******************************************************************\n##                                                                 *\n##  param_card corresponding the SPS point 1a (by SoftSusy 2.0.5)  *\n##                                                                 *\n##******************************************************************\n## Les Houches friendly file for the (MS)SM parameters of MadGraph *\n##      SM parameter set and decay widths produced by MSSMCalc     *\n##******************************************************************\n##*Please note the following IMPORTANT issues:                     *\n##                                                                 *\n##0. REFRAIN from editing this file by hand! Some of the parame-   *\n##   ters are not independent. Always use a calculator.            *\n##                                                                 *\n##1. alpha_S(MZ) has been used in the calculation of the parameters*\n##   This value is KEPT by madgraph when no pdf are used lpp(i)=0, *\n##   but, for consistency, it will be reset by madgraph to the     *\n##   value expected IF the pdfs for collisions with hadrons are    *\n##   used.                                                         *\n##                                                                 *\n##2. Values of the charm and bottom kinematic (pole) masses are    *\n##   those used in the matrix elements and phase space UNLESS they *\n##   are set to ZERO from the start in the model (particles.dat)   *\n##   This happens, for example,  when using 5-flavor QCD where     *\n##   charm and bottom are treated as partons in the initial state  *\n##   and a zero mass might be hardwired in the model definition.   *\n##                                                                 *\n##       The SUSY decays have calculated using SDECAY 1.1a         *\n##                                                                 *\n##******************************************************************\n#\nBLOCK DCINFO  # Decay Program information\n     1   SDECAY      # decay calculator\n     2   1.1a        # version number\n#\nBLOCK SPINFO  # Spectrum calculator information\n     1   SOFTSUSY    # spectrum calculator\n     2   2.0.5         # version number\n#\nBLOCK MODSEL  # Model selection\n     1     1   sugra\n#\nBLOCK SMINPUTS  # Standard Model inputs\n     1     1.27934000E+02   # alpha_em^-1(M_Z)^MSbar\n     2     1.16637000E-05   # G_F [GeV^-2]\n     3     1.18000000E-01   # alpha_S(M_Z)^MSbar\n     4     9.11876000E+01   # M_Z pole mass\n     5     4.25000000E+00   # mb(mb)^MSbar\n     6     1.75000000E+02   # mt pole mass\n     7     1.77700000E+00   # mtau pole mass\n#\nBLOCK MINPAR  # Input parameters - minimal models\n     1     1.00000000E+02   # m0\n     2     2.50000000E+02   # m12\n     3     1.00000000E+01   # tanb\n     4     1.00000000E+00   # sign(mu)\n     5    -1.00000000E+02   # A0\n#\nBLOCK MASS  # Mass Spectrum\n# PDG code           mass       particle\n         5     4.88991651E+00   # b-quark pole mass calculated from mb(mb)_Msbar\n         6     1.75000000E+02   # mt pole mass (not read by ME)\n        24     7.98290131E+01   # W+\n        25     1.10899057E+02   # h\n        35     3.99960116E+05   # H\n        36     3.99583917E+05   # A\n        37     4.07879012E+05   # H+\n   1000001     5.68441109E+05   # ~d_L\n   2000001     5.45228462E+05   # ~d_R\n   1000002     5.61119014E+05   # ~u_L\n   2000002     5.49259265E+05   # ~u_R\n   1000003     5.68441109E+05   # ~s_L\n   2000003     5.45228462E+05   # ~s_R\n   1000004     5.61119014E+05   # ~c_L\n   2000004     5.49259265E+05   # ~c_R\n   1000005     5.13065179E+05   # ~b_1\n   2000005     5.43726676E+05   # ~b_2\n   1000006     900.00   # ~t_1\n   2000006     5.85785818E+05   # ~t_2\n   1000011     2.02915690E+05   # ~e_L\n   2000011     1.44102799E+05   # ~e_R\n   1000012     1.85258326E+05   # ~nu_eL\n   1000013     2.02915690E+05   # ~mu_L\n   2000013     1.44102799E+05   # ~mu_R\n   1000014     1.85258326E+05   # ~nu_muL\n   1000015     1.34490864E+05   # ~tau_1\n   2000015     2.06867805E+05   # ~tau_2\n   1000016     1.84708464E+05   # ~nu_tauL\n   1000021     5.0E+05   # ~g\n   1000022     9.66880686E+05   # ~chi_10\n   1000023     1.81088157E+05   # ~chi_20\n   1000025    -3.63756027E+05   # ~chi_30\n   1000035     3.81729382E+05   # ~chi_40\n   1000024     1.81696474E+05   # ~chi_1+\n   1000037     3.79939320E+05   # ~chi_2+\n#\nBLOCK NMIX  # Neutralino Mixing Matrix\n  1  1     9.86364430E-01   # N_11\n  1  2    -5.31103553E-02   # N_12\n  1  3     1.46433995E-01   # N_13\n  1  4    -5.31186117E-02   # N_14\n  2  1     9.93505358E-02   # N_21\n  2  2     9.44949299E-01   # N_22\n  2  3    -2.69846720E-01   # N_23\n  2  4     1.56150698E-01   # N_24\n  3  1    -6.03388002E-02   # N_31\n  3  2     8.77004854E-02   # N_32\n  3  3     6.95877493E-01   # N_33\n  3  4     7.10226984E-01   # N_34\n  4  1    -1.16507132E-01   # N_41\n  4  2     3.10739017E-01   # N_42\n  4  3     6.49225960E-01   # N_43\n  4  4    -6.84377823E-01   # N_44\n#\nBLOCK UMIX  # Chargino Mixing Matrix U\n  1  1     9.16834859E-01   # U_11\n  1  2    -3.99266629E-01   # U_12\n  2  1     3.99266629E-01   # U_21\n  2  2     9.16834859E-01   # U_22\n#\nBLOCK VMIX  # Chargino Mixing Matrix V\n  1  1     9.72557835E-01   # V_11\n  1  2    -2.32661249E-01   # V_12\n  2  1     2.32661249E-01   # V_21\n  2  2     9.72557835E-01   # V_22\n#\nBLOCK STOPMIX  # Stop Mixing Matrix\n  1  1     5.53644960E-01   # O_{11}\n  1  2     8.32752820E-01   # O_{12}\n  2  1     8.32752820E-01   # O_{21}\n  2  2    -5.53644960E-01   # O_{22}\n#\nBLOCK SBOTMIX  # Sbottom Mixing Matrix\n  1  1     9.38737896E-01   # O_{11}\n  1  2     3.44631925E-01   # O_{12}\n  2  1    -3.44631925E-01   # O_{21}\n  2  2     9.38737896E-01   # O_{22}\n#\nBLOCK STAUMIX  # Stau Mixing Matrix\n  1  1     2.82487190E-01   # O_{11}\n  1  2     9.59271071E-01   # O_{12}\n  2  1     9.59271071E-01   # O_{21}\n  2  2    -2.82487190E-01   # O_{22}\n#\nBLOCK ALPHA  # Higgs mixing\n          -1.13825210E-01   # Mixing angle in the neutral Higgs boson sector\n#\nBLOCK HMIX Q=  4.67034192E+02  # DRbar Higgs Parameters\n     1     3.57680977E+02   # mu(Q)MSSM DRbar\n     2     9.74862403E+00   # tan beta(Q)MSSM DRba\n     3     2.44894549E+02   # higgs vev(Q)MSSM DRb\n     4     1.66439065E+05   # mA^2(Q)MSSM DRbar\n#\nBLOCK GAUGE Q=  4.67034192E+02  # The gauge couplings\n     3     1.10178679E+00   # g3(Q) MSbar\n#\nBLOCK AU Q=  4.67034192E+02  # The trilinear couplings\n  1  1     0.00000000E+00   # A_u(Q) DRbar\n  2  2     0.00000000E+00   # A_c(Q) DRbar\n  3  3    -4.98129778E+02   # A_t(Q) DRbar\n#\nBLOCK AD Q=  4.67034192E+02  # The trilinear couplings\n  1  1     0.00000000E+00   # A_d(Q) DRbar\n  2  2     0.00000000E+00   # A_s(Q) DRbar\n  3  3    -7.97274397E+02   # A_b(Q) DRbar\n#\nBLOCK AE Q=  4.67034192E+02  # The trilinear couplings\n  1  1     0.00000000E+00   # A_e(Q) DRbar\n  2  2     0.00000000E+00   # A_mu(Q) DRbar\n  3  3    -2.51776873E+02   # A_tau(Q) DRbar\n#\nBLOCK YU Q=  4.67034192E+02  # The Yukawa couplings\n  3  3     8.92844550E-01   # y_t(Q) DRbar\n#\nBLOCK YD Q=  4.67034192E+02  # The Yukawa couplings\n  3  3     1.38840206E-01   # y_b(Q) DRbar\n#\nBLOCK YE Q=  4.67034192E+02  # The Yukawa couplings\n  3  3     1.00890810E-01   # y_tau(Q) DRbar\n#\nBLOCK MSOFT Q=  4.67034192E+02  # The soft SUSY breaking masses at the scale Q\n     1     1.01396534E+02   # M_1(Q)\n     2     1.91504241E+02   # M_2(Q)\n     3     5.88263031E+02   # M_3(Q)\n    21     3.23374943E+04   # mH1^2(Q)\n    22    -1.28800134E+05   # mH2^2(Q)\n    31     1.95334764E+02   # meL(Q)\n    32     1.95334764E+02   # mmuL(Q)\n    33     1.94495956E+02   # mtauL(Q)\n    34     1.36494061E+02   # meR(Q)\n    35     1.36494061E+02   # mmuR(Q)\n    36     1.34043428E+02   # mtauR(Q)\n    41     5.47573466E+02   # mqL1(Q)\n    42     5.47573466E+02   # mqL2(Q)\n    43     4.98763839E+02   # mqL3(Q)\n    44     5.29511195E+02   # muR(Q)\n    45     5.29511195E+02   # mcR(Q)\n    46     4.23245877E+02   # mtR(Q)\n    47     5.23148807E+02   # mdR(Q)\n    48     5.23148807E+02   # msR(Q)\n    49     5.19867261E+02   # mbR(Q)\n#\n#\n#\n#                             =================\n#                             |The decay table|\n#                             =================\n#\n# - The multi-body decays for the inos, stops and sbottoms are included.\n#\n#         PDG            Width\nDECAY        25     1.98610799E-03   # h decays\n#          BR         NDA      ID1       ID2\n     1.45642955E-01    2          15       -15   # BR(H1 -> tau- tau+)\n     8.19070713E-01    2           5        -5   # BR(H1 -> b bb)\n     3.36338173E-02    2          24       -24   # BR(H1 -> W+ W-)\n     1.65251528E-03    2          23        23   # BR(H1 -> Z Z)\n#\n#         PDG            Width\nDECAY        35     5.74801389E-01   # H decays\n#          BR         NDA      ID1       ID2\n     1.39072676E-01    2          15       -15   # BR(H -> tau- tau+)\n     4.84110879E-02    2           6        -6   # BR(H -> t tb)\n     7.89500067E-01    2           5        -5   # BR(H -> b bb)\n     3.87681171E-03    2          24       -24   # BR(H -> W+ W-)\n     1.80454752E-03    2          23        23   # BR(H -> Z Z)\n     0.00000000E+00    2          24       -37   # BR(H -> W+ H-)\n     0.00000000E+00    2         -24        37   # BR(H -> W- H+)\n     0.00000000E+00    2          37       -37   # BR(H -> H+ H-)\n     1.73348101E-02    2          25        25   # BR(H -> h h)\n     0.00000000E+00    2          36        36   # BR(H -> A A)\n#\n#         PDG            Width\nDECAY        36     6.32178488E-01   # A decays\n#          BR         NDA      ID1       ID2\n     1.26659725E-01    2          15       -15   # BR(A -> tau- tau+)\n     1.51081526E-01    2           6        -6   # BR(A -> t tb)\n     7.19406137E-01    2           5        -5   # BR(A -> b bb)\n     2.85261228E-03    2          23        25   # BR(A -> Z h)\n     0.00000000E+00    2          23        35   # BR(A -> Z H)\n     0.00000000E+00    2          24       -37   # BR(A -> W+ H-)\n     0.00000000E+00    2         -24        37   # BR(A -> W- H+)\n#\n#         PDG            Width\nDECAY        37     5.46962813E-01   # H+ decays\n#          BR         NDA      ID1       ID2\n     1.49435135E-01    2         -15        16   # BR(H+ -> tau+ nu_tau)\n     8.46811711E-01    2           6        -5   # BR(H+ -> t bb)\n     3.75315387E-03    2          24        25   # BR(H+ -> W+ h)\n     0.00000000E+00    2          24        35   # BR(H+ -> W+ H)\n     0.00000000E+00    2          24        36   # BR(H+ -> W+ A)\n#\n#         PDG            Width\nDECAY   1000021     0.00E+00   # gluino decays\n#          BR         NDA      ID1       ID2\n     2.08454202E-02    2     1000001        -1   # BR(~g -> ~d_L  db)\n     2.08454202E-02    2    -1000001         1   # BR(~g -> ~d_L* d )\n     5.07075274E-02    2     2000001        -1   # BR(~g -> ~d_R  db)\n     5.07075274E-02    2    -2000001         1   # BR(~g -> ~d_R* d )\n     2.89787767E-02    2     1000002        -2   # BR(~g -> ~u_L  ub)\n     2.89787767E-02    2    -1000002         2   # BR(~g -> ~u_L* u )\n     4.46872773E-02    2     2000002        -2   # BR(~g -> ~u_R  ub)\n     4.46872773E-02    2    -2000002         2   # BR(~g -> ~u_R* u )\n     2.08454202E-02    2     1000003        -3   # BR(~g -> ~s_L  sb)\n     2.08454202E-02    2    -1000003         3   # BR(~g -> ~s_L* s )\n     5.07075274E-02    2     2000003        -3   # BR(~g -> ~s_R  sb)\n     5.07075274E-02    2    -2000003         3   # BR(~g -> ~s_R* s )\n     2.89787767E-02    2     1000004        -4   # BR(~g -> ~c_L  cb)\n     2.89787767E-02    2    -1000004         4   # BR(~g -> ~c_L* c )\n     4.46872773E-02    2     2000004        -4   # BR(~g -> ~c_R  cb)\n     4.46872773E-02    2    -2000004         4   # BR(~g -> ~c_R* c )\n     1.05840237E-01    2     1000005        -5   # BR(~g -> ~b_1  bb)\n     1.05840237E-01    2    -1000005         5   # BR(~g -> ~b_1* b )\n     5.56574805E-02    2     2000005        -5   # BR(~g -> ~b_2  bb)\n     5.56574805E-02    2    -2000005         5   # BR(~g -> ~b_2* b )\n     4.80642793E-02    2     1000006        -6   # BR(~g -> ~t_1  tb)\n     4.80642793E-02    2    -1000006         6   # BR(~g -> ~t_1* t )\n     0.00000000E+00    2     2000006        -6   # BR(~g -> ~t_2  tb)\n     0.00000000E+00    2    -2000006         6   # BR(~g -> ~t_2* t )\n#\n#         PDG            Width\nDECAY   1000006     1.97326971684839e-14   # stop1 decays\n#          BR         NDA      ID1       ID2\n      3.33333333E-01  2  5  -11\n      3.33333333E-01  2  5  -13\n      3.33333333E-01  2  5  -15\n#     1.92947616E-01    2     1000022         6   # BR(~t_1 -> ~chi_10 t )\n#     1.17469211E-01    2     1000023         6   # BR(~t_1 -> ~chi_20 t )\n#     0.00000000E+00    2     1000025         6   # BR(~t_1 -> ~chi_30 t )\n#     0.00000000E+00    2     1000035         6   # BR(~t_1 -> ~chi_40 t )\n#     6.75747693E-01    2     1000024         5   # BR(~t_1 -> ~chi_1+ b )\n#     1.38354802E-02    2     1000037         5   # BR(~t_1 -> ~chi_2+ b )\n#     0.00000000E+00    2     1000021         6   # BR(~t_1 -> ~g      t )\n#     0.00000000E+00    2     1000005        37   # BR(~t_1 -> ~b_1    H+)\n#     0.00000000E+00    2     2000005        37   # BR(~t_1 -> ~b_2    H+)\n#     0.00000000E+00    2     1000005        24   # BR(~t_1 -> ~b_1    W+)\n#     0.00000000E+00    2     2000005        24   # BR(~t_1 -> ~b_2    W+)\n#\n#         PDG            Width\nDECAY   2000006     7.37313275E+00   # stop2 decays\n#          BR         NDA      ID1       ID2\n     2.96825635E-02    2     1000022         6   # BR(~t_2 -> ~chi_10 t )\n     8.68035358E-02    2     1000023         6   # BR(~t_2 -> ~chi_20 t )\n     4.18408351E-02    2     1000025         6   # BR(~t_2 -> ~chi_30 t )\n     1.93281647E-01    2     1000035         6   # BR(~t_2 -> ~chi_40 t )\n     2.19632356E-01    2     1000024         5   # BR(~t_2 -> ~chi_1+ b )\n     2.02206148E-01    2     1000037         5   # BR(~t_2 -> ~chi_2+ b )\n     0.00000000E+00    2     1000021         6   # BR(~t_2 -> ~g      t )\n     3.66397706E-02    2     1000006        25   # BR(~t_2 -> ~t_1    h )\n     0.00000000E+00    2     1000006        35   # BR(~t_2 -> ~t_1    H )\n     0.00000000E+00    2     1000006        36   # BR(~t_2 -> ~t_1    A )\n     0.00000000E+00    2     1000005        37   # BR(~t_2 -> ~b_1    H+)\n     0.00000000E+00    2     2000005        37   # BR(~t_2 -> ~b_2    H+)\n     1.89913144E-01    2     1000006        23   # BR(~t_2 -> ~t_1    Z )\n     0.00000000E+00    2     1000005        24   # BR(~t_2 -> ~b_1    W+)\n     0.00000000E+00    2     2000005        24   # BR(~t_2 -> ~b_2    W+)\n#\n#         PDG            Width\nDECAY   1000005     3.73627601E+00   # sbottom1 decays\n#          BR         NDA      ID1       ID2\n     4.43307074E-02    2     1000022         5   # BR(~b_1 -> ~chi_10 b )\n     3.56319904E-01    2     1000023         5   # BR(~b_1 -> ~chi_20 b )\n     5.16083795E-03    2     1000025         5   # BR(~b_1 -> ~chi_30 b )\n     1.04105080E-02    2     1000035         5   # BR(~b_1 -> ~chi_40 b )\n     4.45830064E-01    2    -1000024         6   # BR(~b_1 -> ~chi_1- t )\n     0.00000000E+00    2    -1000037         6   # BR(~b_1 -> ~chi_2- t )\n     0.00000000E+00    2     1000021         5   # BR(~b_1 -> ~g      b )\n     0.00000000E+00    2     1000006       -37   # BR(~b_1 -> ~t_1    H-)\n     0.00000000E+00    2     2000006       -37   # BR(~b_1 -> ~t_2    H-)\n     1.37947979E-01    2     1000006       -24   # BR(~b_1 -> ~t_1    W-)\n     0.00000000E+00    2     2000006       -24   # BR(~b_1 -> ~t_2    W-)\n#\n#         PDG            Width\nDECAY   2000005     8.01566294E-01   # sbottom2 decays\n#          BR         NDA      ID1       ID2\n     2.86200590E-01    2     1000022         5   # BR(~b_2 -> ~chi_10 b )\n     1.40315912E-01    2     1000023         5   # BR(~b_2 -> ~chi_20 b )\n     5.32635592E-02    2     1000025         5   # BR(~b_2 -> ~chi_30 b )\n     7.48748121E-02    2     1000035         5   # BR(~b_2 -> ~chi_40 b )\n     1.79734294E-01    2    -1000024         6   # BR(~b_2 -> ~chi_1- t )\n     0.00000000E+00    2    -1000037         6   # BR(~b_2 -> ~chi_2- t )\n     0.00000000E+00    2     1000021         5   # BR(~b_2 -> ~g      b )\n     0.00000000E+00    2     1000005        25   # BR(~b_2 -> ~b_1    h )\n     0.00000000E+00    2     1000005        35   # BR(~b_2 -> ~b_1    H )\n     0.00000000E+00    2     1000005        36   # BR(~b_2 -> ~b_1    A )\n     0.00000000E+00    2     1000006       -37   # BR(~b_2 -> ~t_1    H-)\n     0.00000000E+00    2     2000006       -37   # BR(~b_2 -> ~t_2    H-)\n     0.00000000E+00    2     1000005        23   # BR(~b_2 -> ~b_1    Z )\n     2.65610832E-01    2     1000006       -24   # BR(~b_2 -> ~t_1    W-)\n     0.00000000E+00    2     2000006       -24   # BR(~b_2 -> ~t_2    W-)\n#\n#         PDG            Width\nDECAY   1000002     5.47719539E+00   # sup_L decays\n#          BR         NDA      ID1       ID2\n     6.65240987E-03    2     1000022         2   # BR(~u_L -> ~chi_10 u)\n     3.19051458E-01    2     1000023         2   # BR(~u_L -> ~chi_20 u)\n     8.44929059E-04    2     1000025         2   # BR(~u_L -> ~chi_30 u)\n     1.03485173E-02    2     1000035         2   # BR(~u_L -> ~chi_40 u)\n     6.49499518E-01    2     1000024         1   # BR(~u_L -> ~chi_1+ d)\n     1.36031676E-02    2     1000037         1   # BR(~u_L -> ~chi_2+ d)\n     0.00000000E+00    2     1000021         2   # BR(~u_L -> ~g      u)\n#\n#         PDG            Width\nDECAY   2000002     1.15297292E+00   # sup_R decays\n#          BR         NDA      ID1       ID2\n     9.86377420E-01    2     1000022         2   # BR(~u_R -> ~chi_10 u)\n     8.46640647E-03    2     1000023         2   # BR(~u_R -> ~chi_20 u)\n     1.23894695E-03    2     1000025         2   # BR(~u_R -> ~chi_30 u)\n     3.91722611E-03    2     1000035         2   # BR(~u_R -> ~chi_40 u)\n     0.00000000E+00    2     1000024         1   # BR(~u_R -> ~chi_1+ d)\n     0.00000000E+00    2     1000037         1   # BR(~u_R -> ~chi_2+ d)\n     0.00000000E+00    2     1000021         2   # BR(~u_R -> ~g      u)\n#\n#         PDG            Width\nDECAY   1000001     5.31278772E+00   # sdown_L decays\n#          BR         NDA      ID1       ID2\n     2.32317969E-02    2     1000022         1   # BR(~d_L -> ~chi_10 d)\n     3.10235077E-01    2     1000023         1   # BR(~d_L -> ~chi_20 d)\n     1.52334771E-03    2     1000025         1   # BR(~d_L -> ~chi_30 d)\n     1.48849798E-02    2     1000035         1   # BR(~d_L -> ~chi_40 d)\n     6.06452481E-01    2    -1000024         2   # BR(~d_L -> ~chi_1- u)\n     4.36723179E-02    2    -1000037         2   # BR(~d_L -> ~chi_2- u)\n     0.00000000E+00    2     1000021         1   # BR(~d_L -> ~g      d)\n#\n#         PDG            Width\nDECAY   2000001     2.85812308E-01   # sdown_R decays\n#          BR         NDA      ID1       ID2\n     9.86529614E-01    2     1000022         1   # BR(~d_R -> ~chi_10 d)\n     8.44510350E-03    2     1000023         1   # BR(~d_R -> ~chi_20 d)\n     1.21172119E-03    2     1000025         1   # BR(~d_R -> ~chi_30 d)\n     3.81356102E-03    2     1000035         1   # BR(~d_R -> ~chi_40 d)\n     0.00000000E+00    2    -1000024         2   # BR(~d_R -> ~chi_1- u)\n     0.00000000E+00    2    -1000037         2   # BR(~d_R -> ~chi_2- u)\n     0.00000000E+00    2     1000021         1   # BR(~d_R -> ~g      d)\n#\n#         PDG            Width\nDECAY   1000004     5.47719539E+00   # scharm_L decays\n#          BR         NDA      ID1       ID2\n     6.65240987E-03    2     1000022         4   # BR(~c_L -> ~chi_10 c)\n     3.19051458E-01    2     1000023         4   # BR(~c_L -> ~chi_20 c)\n     8.44929059E-04    2     1000025         4   # BR(~c_L -> ~chi_30 c)\n     1.03485173E-02    2     1000035         4   # BR(~c_L -> ~chi_40 c)\n     6.49499518E-01    2     1000024         3   # BR(~c_L -> ~chi_1+ s)\n     1.36031676E-02    2     1000037         3   # BR(~c_L -> ~chi_2+ s)\n     0.00000000E+00    2     1000021         4   # BR(~c_L -> ~g      c)\n#\n#         PDG            Width\nDECAY   2000004     1.15297292E+00   # scharm_R decays\n#          BR         NDA      ID1       ID2\n     9.86377420E-01    2     1000022         4   # BR(~c_R -> ~chi_10 c)\n     8.46640647E-03    2     1000023         4   # BR(~c_R -> ~chi_20 c)\n     1.23894695E-03    2     1000025         4   # BR(~c_R -> ~chi_30 c)\n     3.91722611E-03    2     1000035         4   # BR(~c_R -> ~chi_40 c)\n     0.00000000E+00    2     1000024         3   # BR(~c_R -> ~chi_1+ s)\n     0.00000000E+00    2     1000037         3   # BR(~c_R -> ~chi_2+ s)\n     0.00000000E+00    2     1000021         4   # BR(~c_R -> ~g      c)\n#\n#         PDG            Width\nDECAY   1000003     5.31278772E+00   # sstrange_L decays\n#          BR         NDA      ID1       ID2\n     2.32317969E-02    2     1000022         3   # BR(~s_L -> ~chi_10 s)\n     3.10235077E-01    2     1000023         3   # BR(~s_L -> ~chi_20 s)\n     1.52334771E-03    2     1000025         3   # BR(~s_L -> ~chi_30 s)\n     1.48849798E-02    2     1000035         3   # BR(~s_L -> ~chi_40 s)\n     6.06452481E-01    2    -1000024         4   # BR(~s_L -> ~chi_1- c)\n     4.36723179E-02    2    -1000037         4   # BR(~s_L -> ~chi_2- c)\n     0.00000000E+00    2     1000021         3   # BR(~s_L -> ~g      s)\n#\n#         PDG            Width\nDECAY   2000003     2.85812308E-01   # sstrange_R decays\n#          BR         NDA      ID1       ID2\n     9.86529614E-01    2     1000022         3   # BR(~s_R -> ~chi_10 s)\n     8.44510350E-03    2     1000023         3   # BR(~s_R -> ~chi_20 s)\n     1.21172119E-03    2     1000025         3   # BR(~s_R -> ~chi_30 s)\n     3.81356102E-03    2     1000035         3   # BR(~s_R -> ~chi_40 s)\n     0.00000000E+00    2    -1000024         4   # BR(~s_R -> ~chi_1- c)\n     0.00000000E+00    2    -1000037         4   # BR(~s_R -> ~chi_2- c)\n     0.00000000E+00    2     1000021         3   # BR(~s_R -> ~g      s)\n#\n#         PDG            Width\nDECAY   1000011     2.13682161E-01   # selectron_L decays\n#          BR         NDA      ID1       ID2\n     5.73155386E-01    2     1000022        11   # BR(~e_L -> ~chi_10 e-)\n     1.64522579E-01    2     1000023        11   # BR(~e_L -> ~chi_20 e-)\n     0.00000000E+00    2     1000025        11   # BR(~e_L -> ~chi_30 e-)\n     0.00000000E+00    2     1000035        11   # BR(~e_L -> ~chi_40 e-)\n     2.62322035E-01    2    -1000024        12   # BR(~e_L -> ~chi_1- nu_e)\n     0.00000000E+00    2    -1000037        12   # BR(~e_L -> ~chi_2- nu_e)\n#\n#         PDG            Width\nDECAY   2000011     2.16121626E-01   # selectron_R decays\n#          BR         NDA      ID1       ID2\n     1.00000000E+00    2     1000022        11   # BR(~e_R -> ~chi_10 e-)\n     0.00000000E+00    2     1000023        11   # BR(~e_R -> ~chi_20 e-)\n     0.00000000E+00    2     1000025        11   # BR(~e_R -> ~chi_30 e-)\n     0.00000000E+00    2     1000035        11   # BR(~e_R -> ~chi_40 e-)\n     0.00000000E+00    2    -1000024        12   # BR(~e_R -> ~chi_1- nu_e)\n     0.00000000E+00    2    -1000037        12   # BR(~e_R -> ~chi_2- nu_e)\n#\n#         PDG            Width\nDECAY   1000013     2.13682161E-01   # smuon_L decays\n#          BR         NDA      ID1       ID2\n     5.73155386E-01    2     1000022        13   # BR(~mu_L -> ~chi_10 mu-)\n     1.64522579E-01    2     1000023        13   # BR(~mu_L -> ~chi_20 mu-)\n     0.00000000E+00    2     1000025        13   # BR(~mu_L -> ~chi_30 mu-)\n     0.00000000E+00    2     1000035        13   # BR(~mu_L -> ~chi_40 mu-)\n     2.62322035E-01    2    -1000024        14   # BR(~mu_L -> ~chi_1- nu_mu)\n     0.00000000E+00    2    -1000037        14   # BR(~mu_L -> ~chi_2- nu_mu)\n#\n#         PDG            Width\nDECAY   2000013     2.16121626E-01   # smuon_R decays\n#          BR         NDA      ID1       ID2\n     1.00000000E+00    2     1000022        13   # BR(~mu_R -> ~chi_10 mu-)\n     0.00000000E+00    2     1000023        13   # BR(~mu_R -> ~chi_20 mu-)\n     0.00000000E+00    2     1000025        13   # BR(~mu_R -> ~chi_30 mu-)\n     0.00000000E+00    2     1000035        13   # BR(~mu_R -> ~chi_40 mu-)\n     0.00000000E+00    2    -1000024        14   # BR(~mu_R -> ~chi_1- nu_mu)\n     0.00000000E+00    2    -1000037        14   # BR(~mu_R -> ~chi_2- nu_mu)\n#\n#         PDG            Width\nDECAY   1000015     1.48327268E-01   # stau_1 decays\n#          BR         NDA      ID1       ID2\n     1.00000000E+00    2     1000022        15   # BR(~tau_1 -> ~chi_10  tau-)\n     0.00000000E+00    2     1000023        15   # BR(~tau_1 -> ~chi_20  tau-)\n     0.00000000E+00    2     1000025        15   # BR(~tau_1 -> ~chi_30  tau-)\n     0.00000000E+00    2     1000035        15   # BR(~tau_1 -> ~chi_40  tau-)\n     0.00000000E+00    2    -1000024        16   # BR(~tau_1 -> ~chi_1-  nu_tau)\n     0.00000000E+00    2    -1000037        16   # BR(~tau_1 -> ~chi_2-  nu_tau)\n     0.00000000E+00    2     1000016       -37   # BR(~tau_1 -> ~nu_tauL H-)\n     0.00000000E+00    2     1000016       -24   # BR(~tau_1 -> ~nu_tauL W-)\n#\n#         PDG            Width\nDECAY   2000015     2.69906096E-01   # stau_2 decays\n#          BR         NDA      ID1       ID2\n     5.96653046E-01    2     1000022        15   # BR(~tau_2 -> ~chi_10  tau-)\n     1.54536760E-01    2     1000023        15   # BR(~tau_2 -> ~chi_20  tau-)\n     0.00000000E+00    2     1000025        15   # BR(~tau_2 -> ~chi_30  tau-)\n     0.00000000E+00    2     1000035        15   # BR(~tau_2 -> ~chi_40  tau-)\n     2.48810195E-01    2    -1000024        16   # BR(~tau_2 -> ~chi_1-  nu_tau)\n     0.00000000E+00    2    -1000037        16   # BR(~tau_2 -> ~chi_2-  nu_tau)\n     0.00000000E+00    2     1000016       -37   # BR(~tau_2 -> ~nu_tauL H-)\n     0.00000000E+00    2     1000016       -24   # BR(~tau_2 -> ~nu_tauL W-)\n     0.00000000E+00    2     1000015        25   # BR(~tau_2 -> ~tau_1 h)\n     0.00000000E+00    2     1000015        35   # BR(~tau_2 -> ~tau_1 H)\n     0.00000000E+00    2     1000015        36   # BR(~tau_2 -> ~tau_1 A)\n     0.00000000E+00    2     1000015        23   # BR(~tau_2 -> ~tau_1 Z)\n#\n#         PDG            Width\nDECAY   1000012     1.49881634E-01   # snu_eL decays\n#          BR         NDA      ID1       ID2\n     9.77700764E-01    2     1000022        12   # BR(~nu_eL -> ~chi_10 nu_e)\n     8.11554922E-03    2     1000023        12   # BR(~nu_eL -> ~chi_20 nu_e)\n     0.00000000E+00    2     1000025        12   # BR(~nu_eL -> ~chi_30 nu_e)\n     0.00000000E+00    2     1000035        12   # BR(~nu_eL -> ~chi_40 nu_e)\n     1.41836867E-02    2     1000024        11   # BR(~nu_eL -> ~chi_1+ e-)\n     0.00000000E+00    2     1000037        11   # BR(~nu_eL -> ~chi_2+ e-)\n#\n#         PDG            Width\nDECAY   1000014     1.49881634E-01   # snu_muL decays\n#          BR         NDA      ID1       ID2\n     9.77700764E-01    2     1000022        14   # BR(~nu_muL -> ~chi_10 nu_mu)\n     8.11554922E-03    2     1000023        14   # BR(~nu_muL -> ~chi_20 nu_mu)\n     0.00000000E+00    2     1000025        14   # BR(~nu_muL -> ~chi_30 nu_mu)\n     0.00000000E+00    2     1000035        14   # BR(~nu_muL -> ~chi_40 nu_mu)\n     1.41836867E-02    2     1000024        13   # BR(~nu_muL -> ~chi_1+ mu-)\n     0.00000000E+00    2     1000037        13   # BR(~nu_muL -> ~chi_2+ mu-)\n#\n#         PDG            Width\nDECAY   1000016     1.47518977E-01   # snu_tauL decays\n#          BR         NDA      ID1       ID2\n     9.85994529E-01    2     1000022        16   # BR(~nu_tauL -> ~chi_10 nu_tau)\n     6.25129612E-03    2     1000023        16   # BR(~nu_tauL -> ~chi_20 nu_tau)\n     0.00000000E+00    2     1000025        16   # BR(~nu_tauL -> ~chi_30 nu_tau)\n     0.00000000E+00    2     1000035        16   # BR(~nu_tauL -> ~chi_40 nu_tau)\n     7.75417479E-03    2     1000024        15   # BR(~nu_tauL -> ~chi_1+ tau-)\n     0.00000000E+00    2     1000037        15   # BR(~nu_tauL -> ~chi_2+ tau-)\n     0.00000000E+00    2    -1000015       -37   # BR(~nu_tauL -> ~tau_1+ H-)\n     0.00000000E+00    2    -2000015       -37   # BR(~nu_tauL -> ~tau_2+ H-)\n     0.00000000E+00    2    -1000015       -24   # BR(~nu_tauL -> ~tau_1+ W-)\n     0.00000000E+00    2    -2000015       -24   # BR(~nu_tauL -> ~tau_2+ W-)\n#\n#         PDG            Width\nDECAY   1000024     1.70414503E-02   # chargino1+ decays\n#          BR         NDA      ID1       ID2\n     0.00000000E+00    2     1000002        -1   # BR(~chi_1+ -> ~u_L   db)\n     0.00000000E+00    2     2000002        -1   # BR(~chi_1+ -> ~u_R   db)\n     0.00000000E+00    2    -1000001         2   # BR(~chi_1+ -> ~d_L*  u )\n     0.00000000E+00    2    -2000001         2   # BR(~chi_1+ -> ~d_R*  u )\n     0.00000000E+00    2     1000004        -3   # BR(~chi_1+ -> ~c_L   sb)\n     0.00000000E+00    2     2000004        -3   # BR(~chi_1+ -> ~c_R   sb)\n     0.00000000E+00    2    -1000003         4   # BR(~chi_1+ -> ~s_L*  c )\n     0.00000000E+00    2    -2000003         4   # BR(~chi_1+ -> ~s_R*  c )\n     0.00000000E+00    2     1000006        -5   # BR(~chi_1+ -> ~t_1   bb)\n     0.00000000E+00    2     2000006        -5   # BR(~chi_1+ -> ~t_2   bb)\n     0.00000000E+00    2    -1000005         6   # BR(~chi_1+ -> ~b_1*  t )\n     0.00000000E+00    2    -2000005         6   # BR(~chi_1+ -> ~b_2*  t )\n     0.00000000E+00    2     1000012       -11   # BR(~chi_1+ -> ~nu_eL  e+  )\n     0.00000000E+00    2     1000014       -13   # BR(~chi_1+ -> ~nu_muL  mu+ )\n     0.00000000E+00    2     1000016       -15   # BR(~chi_1+ -> ~nu_tau1 tau+)\n     0.00000000E+00    2    -1000011        12   # BR(~chi_1+ -> ~e_L+    nu_e)\n     0.00000000E+00    2    -2000011        12   # BR(~chi_1+ -> ~e_R+    nu_e)\n     0.00000000E+00    2    -1000013        14   # BR(~chi_1+ -> ~mu_L+   nu_mu)\n     0.00000000E+00    2    -2000013        14   # BR(~chi_1+ -> ~mu_R+   nu_mu)\n     9.25161117E-01    2    -1000015        16   # BR(~chi_1+ -> ~tau_1+  nu_tau)\n     0.00000000E+00    2    -2000015        16   # BR(~chi_1+ -> ~tau_2+  nu_tau)\n     7.48388828E-02    2     1000022        24   # BR(~chi_1+ -> ~chi_10  W+)\n     0.00000000E+00    2     1000023        24   # BR(~chi_1+ -> ~chi_20  W+)\n     0.00000000E+00    2     1000025        24   # BR(~chi_1+ -> ~chi_30  W+)\n     0.00000000E+00    2     1000035        24   # BR(~chi_1+ -> ~chi_40  W+)\n     0.00000000E+00    2     1000022        37   # BR(~chi_1+ -> ~chi_10  H+)\n     0.00000000E+00    2     1000023        37   # BR(~chi_1+ -> ~chi_20  H+)\n     0.00000000E+00    2     1000025        37   # BR(~chi_1+ -> ~chi_30  H+)\n     0.00000000E+00    2     1000035        37   # BR(~chi_1+ -> ~chi_40  H+)\n#\n#         PDG            Width\nDECAY   1000037     2.48689510E+00   # chargino2+ decays\n#          BR         NDA      ID1       ID2\n     0.00000000E+00    2     1000002        -1   # BR(~chi_2+ -> ~u_L   db)\n     0.00000000E+00    2     2000002        -1   # BR(~chi_2+ -> ~u_R   db)\n     0.00000000E+00    2    -1000001         2   # BR(~chi_2+ -> ~d_L*  u )\n     0.00000000E+00    2    -2000001         2   # BR(~chi_2+ -> ~d_R*  u )\n     0.00000000E+00    2     1000004        -3   # BR(~chi_2+ -> ~c_L   sb)\n     0.00000000E+00    2     2000004        -3   # BR(~chi_2+ -> ~c_R   sb)\n     0.00000000E+00    2    -1000003         4   # BR(~chi_2+ -> ~s_L*  c )\n     0.00000000E+00    2    -2000003         4   # BR(~chi_2+ -> ~s_R*  c )\n     0.00000000E+00    2     1000006        -5   # BR(~chi_2+ -> ~t_1   bb)\n     0.00000000E+00    2     2000006        -5   # BR(~chi_2+ -> ~t_2   bb)\n     0.00000000E+00    2    -1000005         6   # BR(~chi_2+ -> ~b_1*  t )\n     0.00000000E+00    2    -2000005         6   # BR(~chi_2+ -> ~b_2*  t )\n     2.00968837E-02    2     1000012       -11   # BR(~chi_2+ -> ~nu_eL  e+  )\n     2.00968837E-02    2     1000014       -13   # BR(~chi_2+ -> ~nu_muL  mu+ )\n     2.74507395E-02    2     1000016       -15   # BR(~chi_2+ -> ~nu_tau1 tau+)\n     5.20406111E-02    2    -1000011        12   # BR(~chi_2+ -> ~e_L+    nu_e)\n     0.00000000E+00    2    -2000011        12   # BR(~chi_2+ -> ~e_R+    nu_e)\n     5.20406111E-02    2    -1000013        14   # BR(~chi_2+ -> ~mu_L+   nu_mu)\n     0.00000000E+00    2    -2000013        14   # BR(~chi_2+ -> ~mu_R+   nu_mu)\n     2.82859898E-04    2    -1000015        16   # BR(~chi_2+ -> ~tau_1+  nu_tau)\n     5.66729336E-02    2    -2000015        16   # BR(~chi_2+ -> ~tau_2+  nu_tau)\n     2.31513269E-01    2     1000024        23   # BR(~chi_2+ -> ~chi_1+  Z )\n     6.76715120E-02    2     1000022        24   # BR(~chi_2+ -> ~chi_10  W+)\n     2.93654849E-01    2     1000023        24   # BR(~chi_2+ -> ~chi_20  W+)\n     0.00000000E+00    2     1000025        24   # BR(~chi_2+ -> ~chi_30  W+)\n     0.00000000E+00    2     1000035        24   # BR(~chi_2+ -> ~chi_40  W+)\n     1.78478848E-01    2     1000024        25   # BR(~chi_2+ -> ~chi_1+  h )\n     0.00000000E+00    2     1000024        35   # BR(~chi_2+ -> ~chi_1+  H )\n     0.00000000E+00    2     1000024        36   # BR(~chi_2+ -> ~chi_1+  A )\n     0.00000000E+00    2     1000022        37   # BR(~chi_2+ -> ~chi_10  H+)\n     0.00000000E+00    2     1000023        37   # BR(~chi_2+ -> ~chi_20  H+)\n     0.00000000E+00    2     1000025        37   # BR(~chi_2+ -> ~chi_30  H+)\n     0.00000000E+00    2     1000035        37   # BR(~chi_2+ -> ~chi_40  H+)\n#\n#         PDG            Width\nDECAY   1000022     0.00000000E+00   # neutralino1 decays\n#\n#         PDG            Width\nDECAY   1000023     2.07770048E-02   # neutralino2 decays\n#          BR         NDA      ID1       ID2\n     0.00000000E+00    2     1000022        23   # BR(~chi_20 -> ~chi_10   Z )\n     0.00000000E+00    2     1000024       -24   # BR(~chi_20 -> ~chi_1+   W-)\n     0.00000000E+00    2    -1000024        24   # BR(~chi_20 -> ~chi_1-   W+)\n     0.00000000E+00    2     1000037       -24   # BR(~chi_20 -> ~chi_2+   W-)\n     0.00000000E+00    2    -1000037        24   # BR(~chi_20 -> ~chi_2-   W+)\n     0.00000000E+00    2     1000022        25   # BR(~chi_20 -> ~chi_10   h )\n     0.00000000E+00    2     1000022        35   # BR(~chi_20 -> ~chi_10   H )\n     0.00000000E+00    2     1000022        36   # BR(~chi_20 -> ~chi_10   A )\n     0.00000000E+00    2     1000024       -37   # BR(~chi_20 -> ~chi_1+   H-)\n     0.00000000E+00    2    -1000024        37   # BR(~chi_20 -> ~chi_1-   H+)\n     0.00000000E+00    2     1000037       -37   # BR(~chi_20 -> ~chi_2+   H-)\n     0.00000000E+00    2    -1000037        37   # BR(~chi_20 -> ~chi_2-   H+)\n     0.00000000E+00    2     1000002        -2   # BR(~chi_20 -> ~u_L      ub)\n     0.00000000E+00    2    -1000002         2   # BR(~chi_20 -> ~u_L*     u )\n     0.00000000E+00    2     2000002        -2   # BR(~chi_20 -> ~u_R      ub)\n     0.00000000E+00    2    -2000002         2   # BR(~chi_20 -> ~u_R*     u )\n     0.00000000E+00    2     1000001        -1   # BR(~chi_20 -> ~d_L      db)\n     0.00000000E+00    2    -1000001         1   # BR(~chi_20 -> ~d_L*     d )\n     0.00000000E+00    2     2000001        -1   # BR(~chi_20 -> ~d_R      db)\n     0.00000000E+00    2    -2000001         1   # BR(~chi_20 -> ~d_R*     d )\n     0.00000000E+00    2     1000004        -4   # BR(~chi_20 -> ~c_L      cb)\n     0.00000000E+00    2    -1000004         4   # BR(~chi_20 -> ~c_L*     c )\n     0.00000000E+00    2     2000004        -4   # BR(~chi_20 -> ~c_R      cb)\n     0.00000000E+00    2    -2000004         4   # BR(~chi_20 -> ~c_R*     c )\n     0.00000000E+00    2     1000003        -3   # BR(~chi_20 -> ~s_L      sb)\n     0.00000000E+00    2    -1000003         3   # BR(~chi_20 -> ~s_L*     s )\n     0.00000000E+00    2     2000003        -3   # BR(~chi_20 -> ~s_R      sb)\n     0.00000000E+00    2    -2000003         3   # BR(~chi_20 -> ~s_R*     s )\n     0.00000000E+00    2     1000006        -6   # BR(~chi_20 -> ~t_1      tb)\n     0.00000000E+00    2    -1000006         6   # BR(~chi_20 -> ~t_1*     t )\n     0.00000000E+00    2     2000006        -6   # BR(~chi_20 -> ~t_2      tb)\n     0.00000000E+00    2    -2000006         6   # BR(~chi_20 -> ~t_2*     t )\n     0.00000000E+00    2     1000005        -5   # BR(~chi_20 -> ~b_1      bb)\n     0.00000000E+00    2    -1000005         5   # BR(~chi_20 -> ~b_1*     b )\n     0.00000000E+00    2     2000005        -5   # BR(~chi_20 -> ~b_2      bb)\n     0.00000000E+00    2    -2000005         5   # BR(~chi_20 -> ~b_2*     b )\n     0.00000000E+00    2     1000011       -11   # BR(~chi_20 -> ~e_L-     e+)\n     0.00000000E+00    2    -1000011        11   # BR(~chi_20 -> ~e_L+     e-)\n     2.95071995E-02    2     2000011       -11   # BR(~chi_20 -> ~e_R-     e+)\n     2.95071995E-02    2    -2000011        11   # BR(~chi_20 -> ~e_R+     e-)\n     0.00000000E+00    2     1000013       -13   # BR(~chi_20 -> ~mu_L-    mu+)\n     0.00000000E+00    2    -1000013        13   # BR(~chi_20 -> ~mu_L+    mu-)\n     2.95071995E-02    2     2000013       -13   # BR(~chi_20 -> ~mu_R-    mu+)\n     2.95071995E-02    2    -2000013        13   # BR(~chi_20 -> ~mu_R+    mu-)\n     4.40985601E-01    2     1000015       -15   # BR(~chi_20 -> ~tau_1-   tau+)\n     4.40985601E-01    2    -1000015        15   # BR(~chi_20 -> ~tau_1+   tau-)\n     0.00000000E+00    2     2000015       -15   # BR(~chi_20 -> ~tau_2-   tau+)\n     0.00000000E+00    2    -2000015        15   # BR(~chi_20 -> ~tau_2+   tau-)\n     0.00000000E+00    2     1000012       -12   # BR(~chi_20 -> ~nu_eL    nu_eb)\n     0.00000000E+00    2    -1000012        12   # BR(~chi_20 -> ~nu_eL*   nu_e )\n     0.00000000E+00    2     1000014       -14   # BR(~chi_20 -> ~nu_muL   nu_mub)\n     0.00000000E+00    2    -1000014        14   # BR(~chi_20 -> ~nu_muL*  nu_mu )\n     0.00000000E+00    2     1000016       -16   # BR(~chi_20 -> ~nu_tau1  nu_taub)\n     0.00000000E+00    2    -1000016        16   # BR(~chi_20 -> ~nu_tau1* nu_tau )\n#\n#         PDG            Width\nDECAY   1000025     1.91598495E+00   # neutralino3 decays\n#          BR         NDA      ID1       ID2\n     1.13226601E-01    2     1000022        23   # BR(~chi_30 -> ~chi_10   Z )\n     2.11969194E-01    2     1000023        23   # BR(~chi_30 -> ~chi_20   Z )\n     2.95329778E-01    2     1000024       -24   # BR(~chi_30 -> ~chi_1+   W-)\n     2.95329778E-01    2    -1000024        24   # BR(~chi_30 -> ~chi_1-   W+)\n     0.00000000E+00    2     1000037       -24   # BR(~chi_30 -> ~chi_2+   W-)\n     0.00000000E+00    2    -1000037        24   # BR(~chi_30 -> ~chi_2-   W+)\n     2.13076490E-02    2     1000022        25   # BR(~chi_30 -> ~chi_10   h )\n     0.00000000E+00    2     1000022        35   # BR(~chi_30 -> ~chi_10   H )\n     0.00000000E+00    2     1000022        36   # BR(~chi_30 -> ~chi_10   A )\n     1.24538329E-02    2     1000023        25   # BR(~chi_30 -> ~chi_20   h )\n     0.00000000E+00    2     1000023        35   # BR(~chi_30 -> ~chi_20   H )\n     0.00000000E+00    2     1000023        36   # BR(~chi_30 -> ~chi_20   A )\n     0.00000000E+00    2     1000024       -37   # BR(~chi_30 -> ~chi_1+   H-)\n     0.00000000E+00    2    -1000024        37   # BR(~chi_30 -> ~chi_1-   H+)\n     0.00000000E+00    2     1000037       -37   # BR(~chi_30 -> ~chi_2+   H-)\n     0.00000000E+00    2    -1000037        37   # BR(~chi_30 -> ~chi_2-   H+)\n     0.00000000E+00    2     1000002        -2   # BR(~chi_30 -> ~u_L      ub)\n     0.00000000E+00    2    -1000002         2   # BR(~chi_30 -> ~u_L*     u )\n     0.00000000E+00    2     2000002        -2   # BR(~chi_30 -> ~u_R      ub)\n     0.00000000E+00    2    -2000002         2   # BR(~chi_30 -> ~u_R*     u )\n     0.00000000E+00    2     1000001        -1   # BR(~chi_30 -> ~d_L      db)\n     0.00000000E+00    2    -1000001         1   # BR(~chi_30 -> ~d_L*     d )\n     0.00000000E+00    2     2000001        -1   # BR(~chi_30 -> ~d_R      db)\n     0.00000000E+00    2    -2000001         1   # BR(~chi_30 -> ~d_R*     d )\n     0.00000000E+00    2     1000004        -4   # BR(~chi_30 -> ~c_L      cb)\n     0.00000000E+00    2    -1000004         4   # BR(~chi_30 -> ~c_L*     c )\n     0.00000000E+00    2     2000004        -4   # BR(~chi_30 -> ~c_R      cb)\n     0.00000000E+00    2    -2000004         4   # BR(~chi_30 -> ~c_R*     c )\n     0.00000000E+00    2     1000003        -3   # BR(~chi_30 -> ~s_L      sb)\n     0.00000000E+00    2    -1000003         3   # BR(~chi_30 -> ~s_L*     s )\n     0.00000000E+00    2     2000003        -3   # BR(~chi_30 -> ~s_R      sb)\n     0.00000000E+00    2    -2000003         3   # BR(~chi_30 -> ~s_R*     s )\n     0.00000000E+00    2     1000006        -6   # BR(~chi_30 -> ~t_1      tb)\n     0.00000000E+00    2    -1000006         6   # BR(~chi_30 -> ~t_1*     t )\n     0.00000000E+00    2     2000006        -6   # BR(~chi_30 -> ~t_2      tb)\n     0.00000000E+00    2    -2000006         6   # BR(~chi_30 -> ~t_2*     t )\n     0.00000000E+00    2     1000005        -5   # BR(~chi_30 -> ~b_1      bb)\n     0.00000000E+00    2    -1000005         5   # BR(~chi_30 -> ~b_1*     b )\n     0.00000000E+00    2     2000005        -5   # BR(~chi_30 -> ~b_2      bb)\n     0.00000000E+00    2    -2000005         5   # BR(~chi_30 -> ~b_2*     b )\n     5.57220455E-04    2     1000011       -11   # BR(~chi_30 -> ~e_L-     e+)\n     5.57220455E-04    2    -1000011        11   # BR(~chi_30 -> ~e_L+     e-)\n     1.25266782E-03    2     2000011       -11   # BR(~chi_30 -> ~e_R-     e+)\n     1.25266782E-03    2    -2000011        11   # BR(~chi_30 -> ~e_R+     e-)\n     5.57220455E-04    2     1000013       -13   # BR(~chi_30 -> ~mu_L-    mu+)\n     5.57220455E-04    2    -1000013        13   # BR(~chi_30 -> ~mu_L+    mu-)\n     1.25266782E-03    2     2000013       -13   # BR(~chi_30 -> ~mu_R-    mu+)\n     1.25266782E-03    2    -2000013        13   # BR(~chi_30 -> ~mu_R+    mu-)\n     5.26279239E-03    2     1000015       -15   # BR(~chi_30 -> ~tau_1-   tau+)\n     5.26279239E-03    2    -1000015        15   # BR(~chi_30 -> ~tau_1+   tau-)\n     6.72814564E-03    2     2000015       -15   # BR(~chi_30 -> ~tau_2-   tau+)\n     6.72814564E-03    2    -2000015        15   # BR(~chi_30 -> ~tau_2+   tau-)\n     3.18920485E-03    2     1000012       -12   # BR(~chi_30 -> ~nu_eL    nu_eb)\n     3.18920485E-03    2    -1000012        12   # BR(~chi_30 -> ~nu_eL*   nu_e )\n     3.18920485E-03    2     1000014       -14   # BR(~chi_30 -> ~nu_muL   nu_mub)\n     3.18920485E-03    2    -1000014        14   # BR(~chi_30 -> ~nu_muL*  nu_mu )\n     3.20245934E-03    2     1000016       -16   # BR(~chi_30 -> ~nu_tau1  nu_taub)\n     3.20245934E-03    2    -1000016        16   # BR(~chi_30 -> ~nu_tau1* nu_tau )\n#\n#         PDG            Width\nDECAY   1000035     2.58585079E+00   # neutralino4 decays\n#          BR         NDA      ID1       ID2\n     2.15369294E-02    2     1000022        23   # BR(~chi_40 -> ~chi_10   Z )\n     1.85499971E-02    2     1000023        23   # BR(~chi_40 -> ~chi_20   Z )\n     0.00000000E+00    2     1000025        23   # BR(~chi_40 -> ~chi_30   Z )\n     2.49541430E-01    2     1000024       -24   # BR(~chi_40 -> ~chi_1+   W-)\n     2.49541430E-01    2    -1000024        24   # BR(~chi_40 -> ~chi_1-   W+)\n     0.00000000E+00    2     1000037       -24   # BR(~chi_40 -> ~chi_2+   W-)\n     0.00000000E+00    2    -1000037        24   # BR(~chi_40 -> ~chi_2-   W+)\n     6.93213268E-02    2     1000022        25   # BR(~chi_40 -> ~chi_10   h )\n     0.00000000E+00    2     1000022        35   # BR(~chi_40 -> ~chi_10   H )\n     0.00000000E+00    2     1000022        36   # BR(~chi_40 -> ~chi_10   A )\n     1.47602336E-01    2     1000023        25   # BR(~chi_40 -> ~chi_20   h )\n     0.00000000E+00    2     1000023        35   # BR(~chi_40 -> ~chi_20   H )\n     0.00000000E+00    2     1000023        36   # BR(~chi_40 -> ~chi_20   A )\n     0.00000000E+00    2     1000025        25   # BR(~chi_40 -> ~chi_30   h )\n     0.00000000E+00    2     1000025        35   # BR(~chi_40 -> ~chi_30   H )\n     0.00000000E+00    2     1000025        36   # BR(~chi_40 -> ~chi_30   A )\n     0.00000000E+00    2     1000024       -37   # BR(~chi_40 -> ~chi_1+   H-)\n     0.00000000E+00    2    -1000024        37   # BR(~chi_40 -> ~chi_1-   H+)\n     0.00000000E+00    2     1000037       -37   # BR(~chi_40 -> ~chi_2+   H-)\n     0.00000000E+00    2    -1000037        37   # BR(~chi_40 -> ~chi_2-   H+)\n     0.00000000E+00    2     1000002        -2   # BR(~chi_40 -> ~u_L      ub)\n     0.00000000E+00    2    -1000002         2   # BR(~chi_40 -> ~u_L*     u )\n     0.00000000E+00    2     2000002        -2   # BR(~chi_40 -> ~u_R      ub)\n     0.00000000E+00    2    -2000002         2   # BR(~chi_40 -> ~u_R*     u )\n     0.00000000E+00    2     1000001        -1   # BR(~chi_40 -> ~d_L      db)\n     0.00000000E+00    2    -1000001         1   # BR(~chi_40 -> ~d_L*     d )\n     0.00000000E+00    2     2000001        -1   # BR(~chi_40 -> ~d_R      db)\n     0.00000000E+00    2    -2000001         1   # BR(~chi_40 -> ~d_R*     d )\n     0.00000000E+00    2     1000004        -4   # BR(~chi_40 -> ~c_L      cb)\n     0.00000000E+00    2    -1000004         4   # BR(~chi_40 -> ~c_L*     c )\n     0.00000000E+00    2     2000004        -4   # BR(~chi_40 -> ~c_R      cb)\n     0.00000000E+00    2    -2000004         4   # BR(~chi_40 -> ~c_R*     c )\n     0.00000000E+00    2     1000003        -3   # BR(~chi_40 -> ~s_L      sb)\n     0.00000000E+00    2    -1000003         3   # BR(~chi_40 -> ~s_L*     s )\n     0.00000000E+00    2     2000003        -3   # BR(~chi_40 -> ~s_R      sb)\n     0.00000000E+00    2    -2000003         3   # BR(~chi_40 -> ~s_R*     s )\n     0.00000000E+00    2     1000006        -6   # BR(~chi_40 -> ~t_1      tb)\n     0.00000000E+00    2    -1000006         6   # BR(~chi_40 -> ~t_1*     t )\n     0.00000000E+00    2     2000006        -6   # BR(~chi_40 -> ~t_2      tb)\n     0.00000000E+00    2    -2000006         6   # BR(~chi_40 -> ~t_2*     t )\n     0.00000000E+00    2     1000005        -5   # BR(~chi_40 -> ~b_1      bb)\n     0.00000000E+00    2    -1000005         5   # BR(~chi_40 -> ~b_1*     b )\n     0.00000000E+00    2     2000005        -5   # BR(~chi_40 -> ~b_2      bb)\n     0.00000000E+00    2    -2000005         5   # BR(~chi_40 -> ~b_2*     b )\n     9.64835418E-03    2     1000011       -11   # BR(~chi_40 -> ~e_L-     e+)\n     9.64835418E-03    2    -1000011        11   # BR(~chi_40 -> ~e_L+     e-)\n     3.75684470E-03    2     2000011       -11   # BR(~chi_40 -> ~e_R-     e+)\n     3.75684470E-03    2    -2000011        11   # BR(~chi_40 -> ~e_R+     e-)\n     9.64835418E-03    2     1000013       -13   # BR(~chi_40 -> ~mu_L-    mu+)\n     9.64835418E-03    2    -1000013        13   # BR(~chi_40 -> ~mu_L+    mu-)\n     3.75684470E-03    2     2000013       -13   # BR(~chi_40 -> ~mu_R-    mu+)\n     3.75684470E-03    2    -2000013        13   # BR(~chi_40 -> ~mu_R+    mu-)\n     2.68215241E-03    2     1000015       -15   # BR(~chi_40 -> ~tau_1-   tau+)\n     2.68215241E-03    2    -1000015        15   # BR(~chi_40 -> ~tau_1+   tau-)\n     1.62289809E-02    2     2000015       -15   # BR(~chi_40 -> ~tau_2-   tau+)\n     1.62289809E-02    2    -2000015        15   # BR(~chi_40 -> ~tau_2+   tau-)\n     2.53796547E-02    2     1000012       -12   # BR(~chi_40 -> ~nu_eL    nu_eb)\n     2.53796547E-02    2    -1000012        12   # BR(~chi_40 -> ~nu_eL*   nu_e )\n     2.53796547E-02    2     1000014       -14   # BR(~chi_40 -> ~nu_muL   nu_mub)\n     2.53796547E-02    2    -1000014        14   # BR(~chi_40 -> ~nu_muL*  nu_mu )\n     2.54724352E-02    2     1000016       -16   # BR(~chi_40 -> ~nu_tau1  nu_taub)\n     2.54724352E-02    2    -1000016        16   # BR(~chi_40 -> ~nu_tau1* nu_tau )\n'),
    comEnergy = cms.double(13000.0),
    crossSection = cms.untracked.double(0.0128895),
    maxEventsToPrint = cms.untracked.int32(0),
    PythiaParameters = cms.PSet(
        pythia8CommonSettings = cms.vstring('Tune:preferLHAPDF = 2', 
            'Main:timesAllowErrors = 10000', 
            'Check:epTolErr = 0.01', 
            'Beams:setProductionScalesFromLHEF = off', 
            'SLHA:keepSM = on', 
            'SLHA:minMassSM = 1000.', 
            'ParticleDecays:limitTau0 = on', 
            'ParticleDecays:tau0Max = 10', 
            'ParticleDecays:allowPhotonRadiation = on'),
        pythia8CUEP8M1Settings = cms.vstring('Tune:pp 14', 
            'Tune:ee 7', 
            'MultipartonInteractions:pT0Ref=2.4024', 
            'MultipartonInteractions:ecmPow=0.25208', 
            'MultipartonInteractions:expPow=1.6'),
        processParameters = cms.vstring('SUSY:all = off', 
            'SUSY:gg2squarkantisquark  = on', 
            'SUSY:qqbar2squarkantisquark= on', 
            'RHadrons:allow  = on', 
            'RHadrons:allowDecay = on', 
            'RHadrons:setMasses = on', 
            '1000006:tau0 = 10.0'),
        parameterSets = cms.vstring('pythia8CommonSettings', 
            'pythia8CUEP8M1Settings', 
            'processParameters')
    )
)


process.ProductionFilterSequence = cms.Sequence(process.generator+process.dirhadrongenfilter)

# Path and EndPath definitions
process.generation_step = cms.Path(process.pgen)
process.simulation_step = cms.Path(process.psim)
process.genfiltersummary_step = cms.EndPath(process.genFilterSummary)
process.endjob_step = cms.EndPath(process.endOfProcess)
process.RAWSIMoutput_step = cms.EndPath(process.RAWSIMoutput)

# Schedule definition
process.schedule = cms.Schedule(process.generation_step,process.genfiltersummary_step,process.simulation_step,process.endjob_step,process.RAWSIMoutput_step)
# filter all path with the production filter sequence
for path in process.paths:
	getattr(process,path)._seq = process.ProductionFilterSequence * getattr(process,path)._seq 

# customisation of the process.

# Automatic addition of the customisation function from Configuration.DataProcessing.Utils
from Configuration.DataProcessing.Utils import addMonitoring 

#call to customisation function addMonitoring imported from Configuration.DataProcessing.Utils
process = addMonitoring(process)

# Automatic addition of the customisation function from SLHCUpgradeSimulations.Configuration.postLS1Customs
from SLHCUpgradeSimulations.Configuration.postLS1Customs import customisePostLS1 

#call to customisation function customisePostLS1 imported from SLHCUpgradeSimulations.Configuration.postLS1Customs
process = customisePostLS1(process)

# End of customisation functions
